# -*- coding: utf-8 -*-
pinyin_bopomofo = {
    'vacabulary': u'ㄅㄆㄇㄈㄉㄊㄋㄌㄍㄎㄏㄐㄑㄒㄓㄔㄕㄖㄗㄘㄙㄚㄛㄜㄝㄞㄟㄠㄡㄢㄣㄤㄥㄦㄧㄨㄩ',
    'consonants': [
        ('b', u'ㄅ'),
        ('p', u'ㄆ'),
        ('m', u'ㄇ'),
        ('f', u'ㄈ'),
        ('d', u'ㄉ'),
        ('t', u'ㄊ'),
        ('n', u'ㄋ'),
        ('l', u'ㄌ'),
        ('g', u'ㄍ'),
        ('k', u'ㄎ'),
        ('h', u'ㄏ'),
        ('j', u'ㄐ'),
        ('q', u'ㄑ'),
        ('x', u'ㄒ'),
        ('zh', u'ㄓ'),
        ('ch', u'ㄔ'),
        ('sh', u'ㄕ'),
        ('r', u'ㄖ'),
        ('z', u'ㄗ'),
        ('c', u'ㄘ'),
        ('s', u'ㄙ')
    ],
    'vowels': [
        ('a', u'ㄚ'),
        ('o', u'ㄛ'),
        ('e', u'ㄜ'),
        ('ê', u'ㄝ'),
        ('ai', u'ㄞ'),
        ('ei', u'ㄟ'),
        ('ao', u'ㄠ'),
        ('ou', u'ㄡ'),
        ('an', u'ㄢ'),
        ('en', u'ㄣ'),
        ('ang', u'ㄤ'),
        ('eng', u'ㄥ'),
        ('er', u'ㄦ'),
        ('i', u'ㄧ'),
        ('ia', u'ㄧㄚ'),
        ('ie', u'ㄧㄝ'),
        ('iao', u'ㄧㄠ'),
        ('iu', u'ㄧㄡ'),
        ('ian', u'ㄧㄢ'),
        ('in', u'ㄧㄣ'),
        ('iang', u'ㄧㄤ'),
        ('ing', u'ㄧㄥ'),
        ('u', u'ㄨ'),
        ('ua', u'ㄨㄚ'),
        ('uo', u'ㄨㄛ'),
        ('uai', u'ㄨㄞ'),
        ('ui', u'ㄨㄟ'),
        ('uan', u'ㄨㄢ'),
        ('un', u'ㄨㄣ'),
        ('uang', u'ㄨㄤ'),
        ('ong', u'ㄨㄥ'),
        ('v', u'ㄩ'),
        ('ve', u'ㄩㄝ'),
        ('van', u'ㄩㄢ'),
        ('vn', u'ㄩㄣ'),
        ('iong', u'ㄩㄥ'),
    ],
    'special': [
        ('ai', u'ㄞ'),
        ('ei', u'ㄟ'),
        ('e', u'ㄟ'),
        ('zhi', u'ㄓ'),
        ('chi', u'ㄔ'),
        ('shi', u'ㄕ'),
        ('ri', u'ㄖ'),
        ('zi', u'ㄗ'),
        ('ci', u'ㄘ'),
        ('si', u'ㄙ'),
        ('yi', u'ㄧ'),
        ('ya', u'ㄧㄚ'),
        ('ye', u'ㄧㄝ'),
        ('yao', u'ㄧㄠ'),
        ('you', u'ㄧㄡ'),
        ('yan', u'ㄧㄢ'),
        ('yin', u'ㄧㄣ'),
        ('yang', u'ㄧㄤ'),
        ('ying', u'ㄧㄥ'),
        ('wu', u'ㄨ'),
        ('wa', u'ㄨㄚ'),
        ('wo', u'ㄨㄛ'),
        ('wai', u'ㄨㄞ'),
        ('wei', u'ㄨㄟ'),
        ('wan', u'ㄨㄢ'),
        ('wen', u'ㄨㄣ'),
        ('wang', u'ㄨㄤ'),
        ('weng', u'ㄨㄥ'),
        ('yu', u'ㄩ'),
        ('yue', u'ㄩㄝ'),
        ('yuan', u'ㄩㄢ'),
        ('yun', u'ㄩㄣ'),
        ('yong', u'ㄩㄥ')
    ],
    'tones': {
        'pinyin': {
            0: u'aoeiuvü',
            1: u'āōēīūǖǖ',
            2: u'áóéíúǘǘ',
            3: u'ǎǒěǐǔǚǚ',
            4: u'àòèìùǜǜ'
        },
        'bopomofo': {
            0: u'˙',
            1: u'ˉ',
            2: u'ˊ',
            3: u'ˇ',
            4: u'ˋ'
        }
    }
}
